Qt 5.6 | Qt Widgets | C++ Classes | QGraphicsView

Qt 5.6.2 Reference Documentation

# Obsolete Members for QGraphicsView

The following members of class QGraphicsView are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Protected Functions

`(obsolete)` virtual void | drawItems(QPainter *painter, int numItems, QGraphicsItem *[] items, const QStyleOptionGraphicsItem[] options)

## Member Function Documentation

### `[virtual protected]` void QGraphicsView::drawItems(QPainter *painter, int numItems, QGraphicsItem *[] items, const QStyleOptionGraphicsItem[] options)

Draws the items items in the scene using painter, after the background and before the foreground are drawn. numItems is the number of items in items and options in options. options is a list of styleoptions; one for each item. Reimplement this function to provide custom item drawing for this view.

The default implementation calls the scene's drawItems() function.

Since Qt 4.6, this function is not called anymore unless the QGraphicsView::IndirectPainting flag is given as an Optimization flag.

See also drawForeground(), drawBackground(), and QGraphicsScene::drawItems().